Bug 891232 - nodejs-ronn - markdown to roff/html converter
nodejs-ronn - markdown to roff/html converter
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miro Hrončok
Fedora Extras Quality Assurance
:
Depends On: 891217 911185 922288
Blocks: F19FeatureNodeJS
  Show dependency treegraph
 
Reported: 2013-01-02 04:19 EST by T.C. Hollingsworth
Modified: 2013-05-02 21:57 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-26 23:17:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mhroncok: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description T.C. Hollingsworth 2013-01-02 04:19:09 EST
Spec: http://patches.fedorapeople.org/npm/nodejs-ronn.spec
SRPM: http://patches.fedorapeople.org/npm/nodejs-ronn-0.3.8-3.fc17.src.rpm
Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4831103
FAS username: patches

Javascript port of ronn, using markdown-js to produce roff man pages. Not fully
compatible with ronn, although it aims to be, wherever possible.

This package is part of the npm stack and a future F19 Feature for Node.js.

This package may depend on other packages in the npm stack that aren't explicitly
listed as dependencies of this bug.  For more information, see bug 891171.

Please use nodejs-0.6.5-3 or later when building or using this package.
Comment 1 T.C. Hollingsworth 2013-01-10 02:53:21 EST
Updated with empty %build sections and other issues found in various reviews.

Spec: http://patches.fedorapeople.org/npm/nodejs-ronn.spec
SRPM: http://patches.fedorapeople.org/npm/nodejs-ronn-0.3.8-4.fc17.src.rpm
Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4854388
Comment 2 T.C. Hollingsworth 2013-01-28 19:58:10 EST
This package isn't strictly needed by anything but I'd like it in the distro anyway because it allows me to write man pages for scripts that are missing man pages in markdown.  I suspect most upstreams will be more likely to merge man pages written this way.
Comment 3 Miro Hrončok 2013-02-27 14:06:08 EST
Isn't the markdown.js file bundling?
Comment 4 T.C. Hollingsworth 2013-03-15 21:11:11 EDT
Sorry for the delay.

I have unbundled markdown, filed a review request in bug 922288 for nodejs-markdown, and filed a pull request upstream:
https://github.com/kapouer/ronnjs/pull/13

Spec: http://patches.fedorapeople.org/npm/nodejs-ronn.spec
SRPM: http://patches.fedorapeople.org/npm/nodejs-ronn-0.3.8-5.fc18.src.rpm
Comment 5 Tom Hughes 2013-03-20 14:21:06 EDT
There's an error in the unbundling patch - when it creates the markdown parser it should do:

  var md = require('markdown').markdown;

not:

  var md = require('markdown');

as the top level parse function exported by the unbundled markdown returns HTML rather than the parse tree that ronn wants.
Comment 6 T.C. Hollingsworth 2013-03-20 16:48:50 EDT
Spec: http://patches.fedorapeople.org/npm/nodejs-ronn.spec
SRPM: http://patches.fedorapeople.org/npm/nodejs-ronn-0.3.8-6.fc18.src.rpm

* Wed Mar 20 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.3.8-6
- fix require on markdown
Comment 7 Miro Hrončok 2013-03-21 10:26:00 EDT
Description OK.

MUST: rpmlint must be run on the source rpm and all binary rpms the build produces.

$ rpmlint ../SRPMS/nodejs-ronn-0.3.8-6.fc18.src.rpm ../RPMS/noarch/nodejs-ronn-0.3.8-6.fc18.noarch.rpm 
nodejs-ronn.src: W: spelling-error Summary(en_US) roff -> toff, riff, off
nodejs-ronn.src: W: spelling-error Summary(en_US) html -> HTML, ht ml, ht-ml
nodejs-ronn.src: W: spelling-error %description -l en_US Javascript -> JavaScript, Java script, Java-script
nodejs-ronn.src: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-ronn.src: W: spelling-error %description -l en_US roff -> toff, riff, off
nodejs-ronn.noarch: W: spelling-error Summary(en_US) roff -> toff, riff, off
nodejs-ronn.noarch: W: spelling-error Summary(en_US) html -> HTML, ht ml, ht-ml
nodejs-ronn.noarch: W: spelling-error %description -l en_US Javascript -> JavaScript, Java script, Java-script
nodejs-ronn.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-ronn.noarch: W: spelling-error %description -l en_US roff -> toff, riff, off
nodejs-ronn.noarch: W: only-non-binary-in-usr-lib
nodejs-ronn.noarch: W: dangling-symlink /usr/lib/node_modules/ronn/node_modules/opts /usr/lib/node_modules/opts
nodejs-ronn.noarch: W: dangling-symlink /usr/lib/node_modules/ronn/node_modules/markdown /usr/lib/node_modules/markdown
nodejs-ronn.noarch: W: no-manual-page-for-binary ronn
2 packages and 0 specfiles checked; 0 errors, 14 warnings.

TODO: Capitalize HTML in Summary.
TODO: Capital S in JavaScript.
Symlinks OK, requires npm(opts), npm(markdown)
TODO: Work with upstream on a manpage

All other duplicates or false positives.

MUST: The package must be named according to the Package Naming Guidelines. OK
MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. OK
MUST: The package must meet the Packaging Guidelines. OK
MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines. OK
MUST: The License field in the package spec file must match the actual license.

Checked in LICENSE file, MIT. OK

There is a BSDL part in the file, but the files are missing from this package, so it's not important.

MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc. OK
MUST: The spec file must be written in American English. OK
MUST: The spec file for the package MUST be legible. OK

MUST: The sources used to build the package must match the upstream source, as provided in the spec URL.

$ sha256sum ../SOURCES/ronn-0.3.8.tgz 
53a4837881bcd468ffdc8950272508a025c0bb9255d7460792412b8f820027e6  ../SOURCES/ronn-0.3.8.tgz
$ spectool -g nodejs-ronn.spec 
$ sha256sum ronn-0.3.8.tgz 
53a4837881bcd468ffdc8950272508a025c0bb9255d7460792412b8f820027e6  ronn-0.3.8.tgz

OK

MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture. OK
MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense. OK, build in mock
MUST: Packages must NOT bundle copies of system libraries. OK
MUST: A package must own all directories that it creates. OK
MUST: A Fedora package must not list a file more than once in the spec file's %files listings. OK
MUST: Permissions on files must be set properly.

$ rpm -q -lv -p ../RPMS/noarch/nodejs-ronn-0.3.8-6.fc18.noarch.rpm 
lrwxrwxrwx    1 root    root                       36 bře 21 15:15 /usr/bin/ronn -> ../lib/node_modules/ronn/bin/ronn.js
drwxr-xr-x    2 root    root                        0 bře 21 15:15 /usr/lib/node_modules/ronn
drwxr-xr-x    2 root    root                        0 bře 21 15:15 /usr/lib/node_modules/ronn/bin
-rwxr-xr-x    1 root    root                     2940 lis  5  2011 /usr/lib/node_modules/ronn/bin/ronn.js
drwxr-xr-x    2 root    root                        0 bře 21 15:15 /usr/lib/node_modules/ronn/lib
-rw-r--r--    1 root    root                    11986 bře 21 15:15 /usr/lib/node_modules/ronn/lib/ronn.js
drwxr-xr-x    2 root    root                        0 bře 21 15:15 /usr/lib/node_modules/ronn/node_modules
lrwxrwxrwx    1 root    root                       30 bře 21 15:15 /usr/lib/node_modules/ronn/node_modules/markdown -> /usr/lib/node_modules/markdown
lrwxrwxrwx    1 root    root                       26 bře 21 15:15 /usr/lib/node_modules/ronn/node_modules/opts -> /usr/lib/node_modules/opts
-rw-r--r--    1 root    root                      696 bře 21 15:15 /usr/lib/node_modules/ronn/package.json
drwxr-xr-x    2 root    root                        0 bře 21 15:15 /usr/share/doc/nodejs-ronn-0.3.8
-rw-r--r--    1 root    root                     1720 lis  5  2011 /usr/share/doc/nodejs-ronn-0.3.8/CHANGES
-rw-r--r--    1 root    root                     2990 lis  5  2011 /usr/share/doc/nodejs-ronn-0.3.8/LICENSE
-rw-r--r--    1 root    root                      666 lis  5  2011 /usr/share/doc/nodejs-ronn-0.3.8/README.md
-rw-r--r--    1 root    root                      187 lis  5  2011 /usr/share/doc/nodejs-ronn-0.3.8/TODO

MUST: Each package must consistently use macros. OK
MUST: The package must contain code, or permissable content. OK
MUST: If a package includes something as %doc, it must not affect the runtime of the application. OK
MUST: Packages must not own files or directories already owned by other packages. OK
MUST: All filenames in rpm packages must be valid UTF-8. OK

SHOULD: The reviewer should test that the package builds in mock. OK
SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself. OK

Package APPROVED. Consider fixing TODOs.
Comment 8 T.C. Hollingsworth 2013-04-15 18:55:24 EDT
New Package SCM Request
=======================
Package Name: nodejs-ronn
Short Description: Markdown to roff/html converter
Owners: patches
Branches: f19 f18 el6
InitialCC:
Comment 9 Gwyn Ciesla 2013-04-16 09:22:49 EDT
Git done (by process-git-requests).
Comment 10 Fedora Update System 2013-04-23 03:54:57 EDT
nodejs-ronn-0.4.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-ronn-0.4.0-1.fc19
Comment 11 Fedora Update System 2013-04-23 03:55:50 EDT
nodejs-ronn-0.4.0-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/nodejs-ronn-0.4.0-1.fc18
Comment 12 Fedora Update System 2013-04-23 03:56:40 EDT
nodejs-ronn-0.4.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/nodejs-ronn-0.4.0-1.el6
Comment 13 Fedora Update System 2013-04-23 12:43:49 EDT
nodejs-ronn-0.4.0-1.fc19 has been pushed to the Fedora 19 testing repository.
Comment 14 Fedora Update System 2013-04-26 23:17:42 EDT
nodejs-ronn-0.4.0-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 15 Fedora Update System 2013-05-02 21:57:37 EDT
nodejs-ronn-0.4.0-1.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.